# ‹› `` `markdown.extensions.legacy_em`

This extension provides legacy behavior for connected_words.

Classes:

- `LegacyUnderscoreProcessor` –

  Emphasis processor for handling strong and em matches inside underscores.

- `LegacyEmExtension` –

  Add legacy_em extension to Markdown class.

Functions:

- `makeExtension` –

  Return an instance of the `LegacyEmExtension`

## ‹› `` `markdown.extensions.legacy_em.LegacyUnderscoreProcessor(pattern: str, md: Markdown | None = None)`

Bases: `UnderscoreProcessor`

Emphasis processor for handling strong and em matches inside underscores.

## ‹› `` `markdown.extensions.legacy_em.LegacyEmExtension(**kwargs)`

Bases: `Extension`

Add legacy_em extension to Markdown class.

Methods:

- `extendMarkdown` –

  Modify inline patterns.

### ‹› `` `markdown.extensions.legacy_em.LegacyEmExtension.extendMarkdown(md)`

Modify inline patterns.

## ‹› `` `markdown.extensions.legacy_em.makeExtension(**kwargs)`

Return an instance of the `LegacyEmExtension`